Bug 588036 - System crash when 'PEG force x1' not enabled in BIOS
System crash when 'PEG force x1' not enabled in BIOS
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-02 06:20 EDT by Jan Vlug
Modified: 2013-01-10 00:51 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:01:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Vlug 2010-05-02 06:20:51 EDT
Description of problem:

I have random crashes since I upgraded from Fedora 11 to Fedora 12.
I searched the internet to try to find the root cause of the problem.

I think problems with interrupts sharing and MSI is the root cause.
This link describes symptoms very similar to the ones I have (including a solution that I did not try yet):
http://www.nvnews.net/vbulletin/showthread.php?t=148987

I expience often a kernel oops when I insert my Openmoko phone to a USB port.
Sometimes, I noticed that a crash occured just after playing a sound.
(This all indicates that it might be an interrupt issue in my opinion)


How reproducible:
I can not reliable reproduce the crashes. But when I plug my Openmoko phone to one of the USB ports, the crash occurs more often, both while booting or just randomly. It results also often in a kernel oops.


Additional info:

cat /proc/interrupts
           CPU0       CPU1       CPU2       CPU3       
  0:        143          0          0          0   IO-APIC-edge      timer
  1:          2          0          0          0   IO-APIC-edge      i8042
  4:          1          0          0          0   IO-APIC-edge    
  7:          0          0          0          0   IO-APIC-edge      parport0
  8:          1          0          0          0   IO-APIC-edge      rtc0
  9:          0          0          0          0   IO-APIC-fasteoi   acpi
 14:          0          0          0          0   IO-APIC-edge      ata_piix
 15:          0          0          0          0   IO-APIC-edge      ata_piix
 16:       3133          0       2750          0   IO-APIC-fasteoi   uhci_hcd:usb5, HDA Intel, nvidia
 18:          0          0          0          0   IO-APIC-fasteoi   uhci_hcd:usb4
 19:     176840      20692      69372          0   IO-APIC-fasteoi   ata_piix, uhci_hcd:usb3
 23:      38274          0      42783          0   IO-APIC-fasteoi   ehci_hcd:usb1, uhci_hcd:usb2
 27:        103      16204          0      19938   PCI-MSI-edge      eth0
NMI:          0          0          0          0   Non-maskable interrupts
LOC:    1746531     858991    1245917     458714   Local timer interrupts
SPU:          0          0          0          0   Spurious interrupts
PMI:          0          0          0          0   Performance monitoring interrupts
PND:          0          0          0          0   Performance pending work
RES:      11797      10285      10492       8892   Rescheduling interrupts
CAL:      16076       2039      47975       2008   Function call interrupts
TLB:       5613       5690       4179       5775   TLB shootdowns
TRM:          0          0          0          0   Thermal event interrupts
THR:          0          0          0          0   Threshold APIC interrupts
MCE:          0          0          0          0   Machine check exceptions
MCP:         16         16         16         16   Machine check polls
Comment 1 Jan Vlug 2010-05-02 06:50:39 EDT
Could this be related to bug #564138?
Comment 2 Jan Vlug 2010-05-02 06:57:22 EDT
I made some configuration changes:

1. added enable_msi=1 option to snd-hda-intel:
cat /etc/modprobe.d/alsa-base.conf 
#options snd-hda-intel model=3stack-6ch 
options snd-hda-intel model=3stack-6ch enable_msi=1

2. added NVreg_EnableMSI=1 to nvidia:
I created this file:
cat /etc/modprobe.d/nvidia.conf
options nvidia NVreg_EnableMSI=1

Now I have these interrupts:
cat /proc/interrupts 
           CPU0       CPU1       CPU2       CPU3       
  0:        130          0          0          0   IO-APIC-edge      timer
  1:          2          0          0          0   IO-APIC-edge      i8042
  4:          2          0          0          0   IO-APIC-edge    
  7:          0          0          0          0   IO-APIC-edge      parport0
  8:          1          0          0          0   IO-APIC-edge      rtc0
  9:          0          0          0          0   IO-APIC-fasteoi   acpi
 14:          0          0          0          0   IO-APIC-edge      ata_piix
 15:          0          0          0          0   IO-APIC-edge      ata_piix
 16:          0          0          0          0   IO-APIC-fasteoi   uhci_hcd:usb5
 18:          0          0          0          0   IO-APIC-fasteoi   uhci_hcd:usb4
 19:       8349          0      51272          0   IO-APIC-fasteoi   ata_piix, uhci_hcd:usb3
 23:       8715          0       5114          0   IO-APIC-fasteoi   ehci_hcd:usb1, uhci_hcd:usb2
 27:        538          0        333          0   PCI-MSI-edge      HDA Intel
 28:         96      14598          0       2187   PCI-MSI-edge      eth0
 29:        298          0        476          0   PCI-MSI-edge      nvidia
NMI:          0          0          0          0   Non-maskable interrupts
LOC:     322018     170226     244370     105919   Local timer interrupts
SPU:          0          0          0          0   Spurious interrupts
PMI:          0          0          0          0   Performance monitoring interrupts
PND:          0          0          0          0   Performance pending work
RES:       2434       1692       1591       1688   Rescheduling interrupts
CAL:      12798        200       3783        234   Function call interrupts
TLB:       1922       2152       3575       2108   TLB shootdowns
TRM:          0          0          0          0   Thermal event interrupts
THR:          0          0          0          0   Threshold APIC interrupts
MCE:          0          0          0          0   Machine check exceptions
MCP:          3          3          3          3   Machine check polls
ERR:          3
MIS:          0

I will report later whether the stability of system increased.
Comment 3 Jan Vlug 2010-05-02 09:15:58 EDT
Unfortunately, I experienced a system lock up during boot again.
Comment 4 Eddie Lania 2010-05-15 14:27:01 EDT
Since I upgraded my FC11 to FC12, I am also experiencing lock-ups / system freezes. This is very annoying since the server is a critical machine in the network.

On FC11, I never had even one lock-up.

The only way to work around this that I found was to remove the kmod-nvidia drivers completely from the system and keep the "nomode" kernel parameter in grub.

Information about the hardware:

lspci -v
00:00.0 Host bridge: Intel Corporation 4 Series Chipset DRAM Controller (rev 02)
	Subsystem: Intel Corporation Device 5001
	Flags: bus master, fast devsel, latency 0
	Capabilities: [e0] Vendor Specific Information: Len=0c <?>

00:01.0 PCI bridge: Intel Corporation 4 Series Chipset PCI Express Root Port (rev 02) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 0000e000-0000efff
	Memory behind bridge: d0000000-e30fffff
	Capabilities: [88] Subsystem: Intel Corporation Device 5001
	Capabilities: [80] Power Management version 3
	Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Capabilities: [a0] Express Root Port (Slot+), MSI 00
	Capabilities: [100] Virtual Channel
	Capabilities: [140] Root Complex Link
	Kernel driver in use: pcieport

00:19.0 Ethernet controller: Intel Corporation 82567LF-2 Gigabit Network Connection
	Subsystem: Intel Corporation Device 5001
	Flags: bus master, fast devsel, latency 0, IRQ 27
	Memory at e3100000 (32-bit, non-prefetchable) [size=128K]
	Memory at e3124000 (32-bit, non-prefetchable) [size=4K]
	I/O ports at f0e0 [size=32]
	Capabilities: [c8] Power Management version 2
	Capabilities: [d0] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [e0] Vendor Specific Information: Len=06 <?>
	Kernel driver in use: e1000e
	Kernel modules: e1000e

00:1a.0 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #4 (prog-if 00 [UHCI])
	Subsystem: Intel Corporation Device 5001
	Flags: bus master, medium devsel, latency 0, IRQ 16
	I/O ports at f0c0 [size=32]
	Capabilities: [50] Vendor Specific Information: Len=06 <?>
	Kernel driver in use: uhci_hcd

00:1a.1 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #5 (prog-if 00 [UHCI])
	Subsystem: Intel Corporation Device 5001
	Flags: bus master, medium devsel, latency 0, IRQ 21
	I/O ports at f0a0 [size=32]
	Capabilities: [50] Vendor Specific Information: Len=06 <?>
	Kernel driver in use: uhci_hcd

00:1a.2 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #6 (prog-if 00 [UHCI])
	Subsystem: Intel Corporation Device 5001
	Flags: bus master, medium devsel, latency 0, IRQ 18
	I/O ports at f080 [size=32]
	Capabilities: [50] Vendor Specific Information: Len=06 <?>
	Kernel driver in use: uhci_hcd

00:1a.7 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB2 EHCI Controller #2 (prog-if 20 [EHCI])
	Subsystem: Intel Corporation Device 5001
	Flags: bus master, medium devsel, latency 0, IRQ 18
	Memory at e3125400 (32-bit, non-prefetchable) [size=1K]
	Capabilities: [50] Power Management version 2
	Capabilities: [58] Debug port: BAR=1 offset=00a0
	Capabilities: [98] Vendor Specific Information: Len=06 <?>
	Kernel driver in use: ehci_hcd

00:1b.0 Audio device: Intel Corporation 82801JI (ICH10 Family) HD Audio Controller
	Subsystem: Intel Corporation Device 5001
	Flags: bus master, fast devsel, latency 0, IRQ 22
	Memory at e3120000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: [50] Power Management version 2
	Capabilities: [60] MSI: Enable- Count=1/1 Maskable- 64bit+
	Capabilities: [70] Express Root Complex Integrated Endpoint, MSI 00
	Capabilities: [100] Virtual Channel
	Capabilities: [130] Root Complex Link
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel

00:1c.0 PCI bridge: Intel Corporation 82801JI (ICH10 Family) PCI Express Port 1 (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: e3200000-e33fffff
	Prefetchable memory behind bridge: 00000000e3400000-00000000e35fffff
	Capabilities: [40] Express Root Port (Slot+), MSI 00
	Capabilities: [80] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Capabilities: [90] Subsystem: Intel Corporation Device 5001
	Capabilities: [a0] Power Management version 2
	Capabilities: [100] Virtual Channel
	Capabilities: [180] Root Complex Link
	Kernel driver in use: pcieport

00:1c.1 PCI bridge: Intel Corporation 82801JI (ICH10 Family) PCI Express Port 2 (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	I/O behind bridge: 0000d000-0000dfff
	Memory behind bridge: e4000000-e60fffff
	Prefetchable memory behind bridge: 00000000e3600000-00000000e37fffff
	Capabilities: [40] Express Root Port (Slot+), MSI 00
	Capabilities: [80] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Capabilities: [90] Subsystem: Intel Corporation Device 5001
	Capabilities: [a0] Power Management version 2
	Capabilities: [100] Virtual Channel
	Capabilities: [180] Root Complex Link
	Kernel driver in use: pcieport

00:1d.0 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #1 (prog-if 00 [UHCI])
	Subsystem: Intel Corporation Device 5001
	Flags: bus master, medium devsel, latency 0, IRQ 23
	I/O ports at f060 [size=32]
	Capabilities: [50] Vendor Specific Information: Len=06 <?>
	Kernel driver in use: uhci_hcd

00:1d.1 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #2 (prog-if 00 [UHCI])
	Subsystem: Intel Corporation Device 5001
	Flags: bus master, medium devsel, latency 0, IRQ 19
	I/O ports at f040 [size=32]
	Capabilities: [50] Vendor Specific Information: Len=06 <?>
	Kernel driver in use: uhci_hcd

00:1d.2 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #3 (prog-if 00 [UHCI])
	Subsystem: Intel Corporation Device 5001
	Flags: bus master, medium devsel, latency 0, IRQ 18
	I/O ports at f020 [size=32]
	Capabilities: [50] Vendor Specific Information: Len=06 <?>
	Kernel driver in use: uhci_hcd

00:1d.7 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB2 EHCI Controller #1 (prog-if 20 [EHCI])
	Subsystem: Intel Corporation Device 5001
	Flags: bus master, medium devsel, latency 0, IRQ 23
	Memory at e3125000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: [50] Power Management version 2
	Capabilities: [58] Debug port: BAR=1 offset=00a0
	Capabilities: [98] Vendor Specific Information: Len=06 <?>
	Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 90) (prog-if 01 [Subtractive decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=04, subordinate=04, sec-latency=32
	I/O behind bridge: 0000c000-0000cfff
	Memory behind bridge: e6200000-e62fffff
	Capabilities: [50] Subsystem: Intel Corporation Device 5001

00:1f.0 ISA bridge: Intel Corporation 82801JIR (ICH10R) LPC Interface Controller
	Subsystem: Intel Corporation Device 5001
	Flags: bus master, medium devsel, latency 0
	Capabilities: [e0] Vendor Specific Information: Len=0c <?>
	Kernel modules: iTCO_wdt

00:1f.2 IDE interface: Intel Corporation 82801JI (ICH10 Family) 4 port SATA IDE Controller (prog-if 8a [Master SecP PriP])
	Subsystem: Intel Corporation Device 5001
	Flags: bus master, 66MHz, medium devsel, latency 0, IRQ 19
	I/O ports at 01f0 [size=8]
	I/O ports at 03f4 [size=1]
	I/O ports at 0170 [size=8]
	I/O ports at 0374 [size=1]
	I/O ports at f170 [size=16]
	I/O ports at f160 [size=16]
	Capabilities: [70] Power Management version 3
	Capabilities: [b0] Vendor Specific Information: Len=06 <?>
	Kernel driver in use: ata_piix

00:1f.3 SMBus: Intel Corporation 82801JI (ICH10 Family) SMBus Controller
	Subsystem: Intel Corporation Device 5001
	Flags: medium devsel, IRQ 18
	Memory at e3125800 (64-bit, non-prefetchable) [size=256]
	I/O ports at f000 [size=32]
	Kernel driver in use: i801_smbus
	Kernel modules: i2c-i801

00:1f.5 IDE interface: Intel Corporation 82801JI (ICH10 Family) 2 port SATA IDE Controller (prog-if 85 [Master SecO PriO])
	Subsystem: Intel Corporation Device 5001
	Flags: bus master, 66MHz, medium devsel, latency 0, IRQ 19
	I/O ports at f150 [size=8]
	I/O ports at f140 [size=4]
	I/O ports at f130 [size=8]
	I/O ports at f120 [size=4]
	I/O ports at f110 [size=16]
	I/O ports at f100 [size=16]
	Capabilities: [70] Power Management version 3
	Capabilities: [b0] Vendor Specific Information: Len=06 <?>
	Kernel driver in use: ata_piix

01:00.0 VGA compatible controller: nVidia Corporation GeForce 8400 GS (rev a1) (prog-if 00 [VGA controller])
	Subsystem: ASUSTeK Computer Inc. Device 82b2
	Flags: bus master, fast devsel, latency 0, IRQ 16
	Memory at e2000000 (32-bit, non-prefetchable) [size=16M]
	Memory at d0000000 (64-bit, prefetchable) [size=256M]
	Memory at e0000000 (64-bit, non-prefetchable) [size=32M]
	I/O ports at e000 [size=128]
	Expansion ROM at e3000000 [disabled] [size=128K]
	Capabilities: [60] Power Management version 3
	Capabilities: [68] MSI: Enable- Count=1/1 Maskable- 64bit+
	Capabilities: [78] Express Endpoint, MSI 00
	Capabilities: [100] Virtual Channel
	Capabilities: [128] Power Budgeting <?>
	Capabilities: [600] Vendor Specific Information: ID=0001 Rev=1 Len=024 <?>
	Kernel modules: nouveau, nvidiafb

03:00.0 RAID bus controller: 3ware Inc 9650SE SATA-II RAID PCIe (rev 01)
	Subsystem: 3ware Inc 9650SE SATA-II RAID PCIe
	Physical Slot: 0-1
	Flags: bus master, fast devsel, latency 0, IRQ 17
	Memory at e4000000 (64-bit, prefetchable) [size=32M]
	Memory at e6020000 (64-bit, non-prefetchable) [size=4K]
	I/O ports at d000 [size=256]
	Expansion ROM at e6000000 [disabled] [size=128K]
	Capabilities: [40] Power Management version 2
	Capabilities: [50] MSI: Enable- Count=1/32 Maskable- 64bit+
	Capabilities: [70] Express Legacy Endpoint, MSI 00
	Capabilities: [100] Advanced Error Reporting
	Kernel driver in use: 3w-9xxx
	Kernel modules: 3w-9xxx

04:00.0 FireWire (IEEE 1394): Agere Systems FW322/323 (rev 70) (prog-if 10 [OHCI])
	Subsystem: Intel Corporation Device 5001
	Flags: bus master, medium devsel, latency 32, IRQ 19
	Memory at e6202000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [44] Power Management version 2
	Kernel driver in use: firewire_ohci
	Kernel modules: firewire-ohci

04:02.0 Serial controller: Titan Electronics Inc VScom 200HV2 2 port serial adaptor (prog-if 06 [16950])
	Subsystem: Oxford Semiconductor Ltd Device 0001
	Flags: medium devsel, IRQ 20
	I/O ports at c030 [size=8]
	I/O ports at c020 [size=8]
	I/O ports at c000 [size=32]
	Memory at e6201000 (32-bit, non-prefetchable) [size=4K]
	Memory at e6200000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [40] Power Management version 1
	Kernel driver in use: serial

[root@ls2ka ~]# cat /proc/interrupts 
            CPU0       CPU1       CPU2       CPU3       
   0:        249          7          0          7   IO-APIC-edge      timer
   1:          0          1          1          0   IO-APIC-edge      i8042
   4:          0          2          2          0   IO-APIC-edge    
   8:          0          1          0          0   IO-APIC-edge      rtc0
   9:          0          0          0          0   IO-APIC-fasteoi   acpi
  12:          1          0          1          2   IO-APIC-edge      i8042
  14:      15985      13397      13366      13423   IO-APIC-edge      ata_piix
  15:          0          0          0          0   IO-APIC-edge      ata_piix
  16:          2          1          1          3   IO-APIC-fasteoi   uhci_hcd:usb3, nouveau@pci:0000:01:00.0
  17:       1228       1240      64478      61299   IO-APIC-fasteoi   3w-9xxx
  18:          1          0          0          2   IO-APIC-fasteoi   ehci_hcd:usb1, uhci_hcd:usb5, uhci_hcd:usb8
  19:        629          2          0          4   IO-APIC-fasteoi   ata_piix, uhci_hcd:usb7, firewire_ohci
  20:        262        222      14278      13019   IO-APIC-fasteoi   serial
  21:         25         22         21         23   IO-APIC-fasteoi   uhci_hcd:usb4
  22:         57         58        314        313   IO-APIC-fasteoi   HDA Intel
  23:          0          0          0          0   IO-APIC-fasteoi   ehci_hcd:usb2, uhci_hcd:usb6
  25:          0          0          0          0   PCI-MSI-edge      pciehp
  26:          0          0          0          0   PCI-MSI-edge      pciehp
  27:         68         59         57     185642   PCI-MSI-edge      eth0
 NMI:          0          0          0          0   Non-maskable interrupts
 LOC:    1219391     786428    1311310     582544   Local timer interrupts
 SPU:          0          0          0          0   Spurious interrupts
 PMI:          0          0          0          0   Performance monitoring interrupts
 PND:          0          0          0          0   Performance pending work
 RES:      21080      14775      22510      13164   Rescheduling interrupts
 CAL:      83334        158       1244        156   Function call interrupts
 TLB:      20972      23054      20635      21926   TLB shootdowns
 TRM:          0          0          0          0   Thermal event interrupts
 THR:          0          0          0          0   Threshold APIC interrupts
 MCE:          0          0          0          0   Machine check exceptions
 MCP:        136        136        136        136   Machine check polls
 ERR:          3
 MIS:          0
Comment 5 Jan Vlug 2010-05-22 04:16:49 EDT
To be clear: I also never had the crashes on Fedora 11.

Recently I changed my bios settings to: PnP aware OS enabled.
But I had a system hang after that again.
However, the system crashes occur less frequently after enabling interupt sharing (MSI) for nvidia and nda-intel.

Also, this bug #589007 may be related.
Comment 6 Jan Vlug 2010-05-22 04:50:33 EDT
Messages from a crash yesterday:

May 22 01:08:49 thorin kernel: irq 16: nobody cared (try booting with the "irqpoll" option)
May 22 01:08:49 thorin kernel: Pid: 0, comm: swapper Tainted: P           2.6.32.12-115.fc12.x86_64 #1
May 22 01:08:49 thorin kernel: Call Trace:
May 22 01:08:49 thorin kernel: <IRQ>  [<ffffffff810ae5a0>] __report_bad_irq+0x3d/0x8c
May 22 01:08:49 thorin kernel: [<ffffffff810ae707>] note_interrupt+0x118/0x17d
May 22 01:08:49 thorin kernel: [<ffffffff810aee10>] handle_fasteoi_irq+0xa1/0xc7
May 22 01:08:49 thorin kernel: [<ffffffff81014625>] handle_irq+0x8b/0x96
May 22 01:08:49 thorin kernel: [<ffffffff8145acf4>] do_IRQ+0x5c/0xbc
May 22 01:08:49 thorin kernel: [<ffffffff81012693>] ret_from_intr+0x0/0x11
May 22 01:08:49 thorin kernel: <EOI>  [<ffffffff81019157>] ? mwait_idle+0x7a/0x88
May 22 01:08:49 thorin kernel: [<ffffffff81019109>] ? mwait_idle+0x2c/0x88
May 22 01:08:49 thorin kernel: [<ffffffff81010cdd>] ? cpu_idle+0xaa/0xe4
May 22 01:08:49 thorin kernel: [<ffffffff8143fca7>] ? rest_init+0x6b/0x6d
May 22 01:08:49 thorin kernel: [<ffffffff81817ddc>] ? start_kernel+0x400/0x40b
May 22 01:08:49 thorin kernel: [<ffffffff818172c1>] ? x86_64_start_reservations+0xac/0xb0
May 22 01:08:49 thorin kernel: [<ffffffff818173bd>] ? x86_64_start_kernel+0xf8/0x107
May 22 01:08:49 thorin kernel: handlers:
May 22 01:08:49 thorin kernel: [<ffffffff8132f4c3>] (usb_hcd_irq+0x0/0x7b)
May 22 01:08:49 thorin kernel: Disabling IRQ #16
May 22 01:09:02 thorin kernel: NVRM: Xid (0001:00): 8, Channel 00000001
May 22 01:09:03 thorin kernel: Clocksource tsc unstable (delta = 452500466 ns)
May 22 01:09:03 thorin kernel: Switching to clocksource hpet
May 22 01:09:16 thorin abrt[14462]: can't read /proc/13354/exe link
May 22 01:09:35 thorin gnome-keyring-daemon[13415]: dbus failure unregistering from session: Connection is closed
May 22 01:09:35 thorin gnome-keyring-daemon[13415]: dbus failure unregistering from session: Connection is closed
May 22 01:09:37 thorin kernel: NVRM: RmInitAdapter failed! (0x26:0xffffffff:1076)
May 22 01:09:37 thorin kernel: NVRM: rm_init_adapter(0) failed
May 22 01:09:37 thorin gdm-binary[1914]: WARNING: GdmDisplay: display lasted 2.667359 seconds
May 22 01:09:40 thorin bonobo-activation-server (jan-14480): could not associate with desktop session: Failed to connect to socket /tmp/dbus-AE3bE7lHJe: Connection refused
May 22 01:10:12 thorin acpid: client 13354[0:0] has disconnected
May 22 01:10:18 thorin init: prefdm main process (1914) killed by KILL signal
Comment 7 Jan Vlug 2010-05-29 11:01:37 EDT
See http://forums.fedoraforum.org/showthread.php?t=245839 for similar problem on Fedora 13. With the same symptoms I have (now also on Fedora 13).
Comment 9 Jan Vlug 2010-06-02 16:23:58 EDT
I removed the nvidia drivers, and I'm using nouveau now.
The crashes still occur...
Comment 10 Eddie Lania 2010-06-02 17:05:25 EDT
Yes, that also happened to me.
I added "nomodeset" to the grub configuration's kernel parameter line.
So far, the system seems to be running stable.
Can you try that?
Comment 11 Jan Vlug 2010-06-19 12:04:23 EDT
tried 'nomodeset' but this caused my system to boot in a very low resolution maybe 640x480. After manually selecting a standard LCD monitor with 1280x1024 the screen was garbled, but the items on the desktop were still kind of recognizable.
Comment 12 Eddie Lania 2010-06-19 15:29:24 EDT
I updated the motherboard's bios to the latest bios version and this seems to help. I am running the system now with the standard xorg-x11-drv-nouveau with kms and it seems to be stable.
Comment 13 Jan Vlug 2010-06-30 17:07:51 EDT
Eddie, what motherboard do you have? I have an Asus P5B-MX.
Comment 14 Eddie Lania 2010-07-02 02:31:00 EDT
Intel moederbord 'Skyburg' BOXDP45SG/P45
Comment 15 Eddie Lania 2010-07-02 02:33:20 EDT
Jan,

Since the BIOS update I have not experienced any crashes anymore.

It seems my problem is solved now.

I hope something similar might work for you too?

Regards,

Eddie.
Comment 16 Jan Vlug 2010-07-03 17:15:18 EDT
I updated my bios (now version 0704), but crashes still occur.

See also this thread for similar problems:
http://fedoraforum.org/forum/showthread.php?t=235793
Comment 17 Jan Vlug 2010-07-04 17:36:26 EDT
Yesterday, I enabled 'PEG force x1' in my BIOS. No crashes since then.
Comment 18 Jan Vlug 2010-07-05 04:12:09 EDT
Probably related to, or similar as bug #596330.
Comment 19 Jan Vlug 2010-09-22 11:57:51 EDT
Copied here from now closed bug #589007:
- The problems started for me after the upgrade to Fedora 12.
- Fedora 11 was rock stable.
- Fedora 13 still has the issue.
- First, I thought it was nvidia driver related. Then I removed all nvidia
stuff, and I'm using nouveau now, but the bug still is there.
- Sometimes, my system runs for hours without a crash.
- Sometimes, it hangs already during boot.
- The more hardware is connected, the sooner the crash occurs (e.g. external
disk, Openmoko phone, both via USB).
- I have the impression that I have less frequent freezes after using MSI
interrupts for my audio (and nvidia, when I was still using this driver).
- I'm using an ASUS P5B-MX motherboard.
- The system freezes without leaving any logging about errors.

See comment #17 for my current work around, but I think that this will have a serious performance penalty.
Comment 20 Bug Zapper 2011-06-02 10:36:53 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Bug Zapper 2011-06-27 12:01:40 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.